# class toSettingTab

Abstract baseclass for widgets defining tool settings. More...

Contains pure virtuals
Definition | `#include <totool.h>`
Inherits | toHelpContext [public ]
List of all Methods

Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- toSettingTab (const QString &ctx)
- virtual void saveSetting (void)

## Detailed Description

Abstract baseclass for widgets defining tool settings.

toSettingTab (const QString &ctx)

### toSettingTab

Default constructor.

Parameters:

ctx | Help context for this setting tab.

void saveSetting (void)

### saveSetting

[pure virtual]

This function is called to save the contents of the widget when a user has pressed the ok button of the dialog. It should simply save the values in the dialog to the appropriate configuration entry using the toTool::setConfig function.